:root {
    --primary-color: #c72727;
    --secondary-color: #f99500;
    --light-color: #f3f3f3;
    --dark-color: #333;
    --white-color: #fff;
    --max-width: 1100px;
}

.category {
    --sports-color: #f99500;
    --ent-color: #a66bbe;
    --tech-color: #009cff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Lato', sans-serif;
    line-height: 1.5;
    background-color: var(--light-color);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

a {
    color: var(--dark-color);
    text-decoration: none;
}

p {
    margin: 8px 0;
}

ul {
    list-style: none;
}

img {
    width: 100%;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Staatliches', cursive;
    margin-bottom: 10px;
    line-height: 1.3;
}


/* Utility Classes */
.container {
    max-width: var(--max-width);
    margin: auto;
    padding: 0 32px;
    overflow: hidden;
}

.category {
    display: inline-block;
    color: var(--white-color);
    font-size: 10px;
    text-transform: uppercase;
    padding: 5px 10px;
    border-radius: 15px;
    margin-bottom: 8px;
}

.category-sports { background-color: var(--sports-color) }
.category-ent { background-color: var(--ent-color) }
.category-tech { background-color: var(--tech-color) }

.btn {
    display: inline-block;
    border: none;
    padding: 8px 24px;
    border-radius: 5px;
}

.btn-primary {
    background-color: var(--primary-color);
    color: var(--white-color);
}

.btn-secondary {
    background-color: var(--secondary-color);
    color: var(--white-color);
}

.btn-light {
    background-color: var(--light-color);
    color: var(--dark-color);
}

.btn-dark {
    background-color: var(--dark-color);
    color: var(--white-color);
}

.btn-block {
    display: block;
    width: 100%;
    text-align: center;
}

.btn:hover {
    opacity: 0.9;
}

.card {
    background-color: var(--white-color);
    padding: 16px;
}

.bg-primary { background-color: var(--primary-color) }
.bg-secondary { background-color: var(--secondary-color) }
.bg-dark { background-color: var(--dark-color) }
.bg-white { background-color: var(--white-color) }

.text-white { color: var(--white-color) }
.text-dark { color: var(--dark-color) }

.list li {
    padding: 8px 0;
    border-bottom: 1px solid #555;
    width: 80%;
}

.list li a:hover {
    color: var(--primary-color) !important;
}


/* Navbar */
#main-nav {
    background-color: var(--white-color);
    position: sticky;
    top: 0;
    z-index: 2;
}

#main-nav .container {
    display: grid;
    grid-template-columns: 6fr 3fr 2fr;
    padding: 15px;
    align-items: center;
}

#main-nav .logo {
    width: 180px;
}

#main-nav ul {
    justify-self: end;
    display: flex;
}

#main-nav ul li a {
    padding: 10px;
    font-weight: bold;
}

#main-nav ul li a.current {
    background-color: var(--primary-color);
    color: var(--white-color);
}

#main-nav ul li a:hover {
    background-color: var(--light-color);
    color: var(--dark-color);
}

#main-nav .social {
    justify-self: center;
}

#main-nav .social a {
    color: #777;
    margin-right: 10px;
}


/* Showcase */
#showcase {
    color: var(--white-color);
    background-color: var(--dark-color);
    padding: 32px;
    position: relative;
}

#showcase::before {
    content: '';
    background-image: url('../img/showcase.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.4;
}

#showcase .showcase-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    height: 50vh;
}

#showcase .showcase-content {
    z-index: 1;
}

#showcase .showcase-content p {
    margin-bottom: 16px;
}


/* Home Articles */
#home-articles .articles-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 16px;
    /* gap: 16px; */
}

#home-articles .container {
    padding: 30px;
}

#home-articles .articles-container > *:first-child,
#home-articles .articles-container > *:last-child {
   display: grid;
   grid-template-columns: repeat(2, 1fr);
   grid-gap: 16px;
   grid-column: 1 / span 2;
   align-items: center;
}

#home-articles .articles-container > *:last-child {
   grid-column: 2 / span 2;
}

/* About */
.page-container-flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-aside {
    min-width: 200px;
    margin: 15px;
}

.page-container {
    display: grid;
    grid-template-columns: 5fr 2fr;
    grid-gap: 16px;
    margin: 30px 0;
}

.page-container h1 {
    font-size: 48px;
}

.page-container > *:first-child {
    grid-row: 1 / span 3;
}

/* Article */
#article .meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #eee;
    padding: 8px;
}

#article .meta .category {
    margin-top: 7px;
}

/* Footer */
#main-footer {
    background-color: var(--dark-color);
    color: var(--white-color);
    padding: 30px;
}

#main-footer img {
    width: 150px;
}

#main-footer a {
    color: var(--white-color);
}

#main-footer .footer-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 24px;
}

#main-footer .footer-container > *:last-child {
    background-color: #444;
    grid-column: 1 / span 4;
    padding: 8px;
    text-align: center;
    font-size: 12px;
}

#main-footer .footer-container input[type='email'] {
    width: 80%;
    padding: 8px;
    margin-bottom: 8px;
    border-radius: 5px;
}

#main-footer .footer-container input[type='submit'] {
    width: 80%;
}
